it-swarm-eu.dev

Jaké požadavky jsou pro webhostera nutné pro hostitele Diaspory *?

Co musím získat od webhostera, pokud chci hostit své vlastní Diaspora * semeno? Potřebuji jen nějaký webový prostor s funkcemi Ruby na Rails?

4
bitbonk

Požadavky na instalaci z stránka Github :

Abyste mohli spustit Diasporu, musíte si stáhnout následující závislosti (postupujte podle konkrétních pokynů):

  • Build Tools - Balíčky potřebné pro kompilaci následujících komponent.
  • Ruby - programovací jazyk Ruby. (Používáme 1.8.7. Dodává se předinstalovaný v systému Mac OS X.)
  • MongoDB - Úhledná databáze noSQL.
  • OpenSSL - šifrovací knihovna. (Dodává se předinstalovaný na Mac OS X a Ubuntu.)
  • ImageMagick - Knihovna zpracování obrazu použitá k změně velikosti nahraných fotografií.
  • Git - rychlý systém řízení verzí.

Po instalaci Ruby ve vašem systému budete muset získat RubyGems a nainstalovat Bundler:

  • RubyGems - zdroj pro Ruby drahokamy.
  • Bundler - nástroj pro správu drahokamů pro projekty Ruby.

To je realisticky nad rámec toho, co váš typický webhosting nabídne. (Git a dokonce Ruby jsou pro mnoho webhostingů nestandardní. MongoDB? Vypadni odtud ...)

S VPS můžete být lepší.

5
Tom Wright

Je mi líto, že na vaši otázku nemůžu odpovědět přímo, ale jednu věc, kterou musíte zvážit, jsou bezpečnostní nedostatky, které toto před alfa vydání Diaspory * obsahuje:

http://www.theregister.co.uk/2010/09/16/diaspora_pre_alpha_landmines/

1
Erion